package org.jivesoftware.smackx.ikey.element;

import org.junit.Test;

import java.util.Arrays;

public class SubordinateListElementTest {

    @Test
    public void test() {
        SubordinateListElement listElement = buildElement(
                new SubordinateElement("xmpp:hamlet@denmark.lit?;node=urn:xmpp:openpgp:0:public-keys:1357B01865B2503C18453D208CAC2A9678548E35" +
                        ";item=2020-01-21T10:46:21Z", "1357B01865B2503C18453D208CAC2A9678548E35"),
                new SubordinateElement("xmpp:hamlet@denmark.lit?;node=urn:xmpp:omemo:1:bundles" +
                        ";item=123456", "e64dc9166dd34db64c9247bd502c5969e365a98f3aa41c87247d120487fdd32f")
        );

        System.out.println(listElement.toXML());
    }

    private SubordinateListElement buildElement(SubordinateElement... subordinateElements) {
        return new SubordinateListElement(Arrays.asList(subordinateElements));
    }
}
